Skip to main content
GET
/
api
/
external
/
v2
/
subscription-groups
/
{subscriptionGroupId}
Get a membership plan group
curl --request GET \
  --url https://membership-admin.appstle.com/api/external/v2/subscription-groups/{subscriptionGroupId}
{
  "id": 456789,
  "productCount": 123,
  "productVariantCount": 123,
  "subscriptionPlans": [
    {
      "frequencyCount": 123,
      "billingFrequencyCount": 123,
      "frequencyName": "<string>",
      "discountOffer": 123,
      "discountOffer2": 123,
      "afterCycle1": 123,
      "afterCycle2": 123,
      "discountEnabled": true,
      "discountEnabled2": true,
      "discountEnabledMasked": true,
      "discountEnabled2Masked": true,
      "id": "<string>",
      "specificDayValue": 123,
      "specificMonthValue": 123,
      "specificDayEnabled": true,
      "maxCycles": 123,
      "minCycles": 123,
      "cutOff": 123,
      "prepaidFlag": "<string>",
      "idNew": "<string>",
      "freeTrialEnabled": true,
      "freeTrialCount": 123,
      "frequencyDescription": "<string>",
      "keepOriginalNextBillingDateAfterTrial": true,
      "planSequence": 123,
      "groupName": "<string>",
      "groupId": 123,
      "memberOnly": true,
      "nonMemberOnly": true,
      "memberInclusiveTags": "<string>",
      "memberExclusiveTags": "<string>",
      "lifeTimeMembership": true,
      "rulesJson": "<string>",
      "allowedForUpgradeDowngrade": true
    }
  ],
  "groupName": "Premium Coffee Membership",
  "productIds": "<string>",
  "productId": "<string>",
  "variantIds": "<string>",
  "accessoryProductIds": "<string>",
  "customerTag": "coffee-member",
  "orderTag": "membership-order",
  "rulesJson": "<string>",
  "formFieldsJson": "<string>",
  "translations": "<string>",
  "memberOrderTag": "member-premium"
}

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Path Parameters

subscriptionGroupId
integer<int64>
required

Response

200 - */*

OK

id
integer<int64>

Unique identifier of the membership plan group

Example:

456789

productCount
integer<int64>

Number of products assigned to this plan group

productVariantCount
integer<int64>

Number of product variants assigned to this plan group

subscriptionPlans
object[]

List of subscription plan frequencies within this group

groupName
string

Display name of the membership plan group

Example:

"Premium Coffee Membership"

productIds
string

Comma-separated Shopify product IDs assigned to this plan group

productId
string
variantIds
string

Comma-separated Shopify variant IDs assigned to this plan group

accessoryProductIds
string
customerTag
string

Tag applied to customers when they subscribe to this plan

Example:

"coffee-member"

orderTag
string

Tag applied to subscription orders from this plan

Example:

"membership-order"

rulesJson
string
formFieldsJson
string
translations
string
memberOrderTag
string

Tag applied to member renewal orders

Example:

"member-premium"